package com.ibm.commerce.applepay.order.commands;

/*
 *-----------------------------------------------------------------
 * IBM Confidential
 *
 * OCO Source Materials
 *
 * WebSphere Commerce
 *
 * (C) Copyright IBM Corp. 2016
 *
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 *-----------------------------------------------------------------
 */

import java.util.HashMap;

import com.ibm.commerce.command.ControllerCommand;

/**
 * This command prepares an apple pay cart.
 * The default implementation of this command is {@link ApplePayOrderPrepareCmdImpl}.
 * The <code>ApplePayOrderPrepareCmd</code> URL is mapped to this controller command. 
 */
public interface ApplePayOrderPrepareCmd extends ControllerCommand {

	/**
	 * IBM copyright notice field.
	 */
	public static final String COPYRIGHT = com.ibm.commerce.copyright.IBMCopyright.SHORT_COPYRIGHT;
	/**
	 * The name of the Command Interface class.
	 */
	public final static String NAME = "com.ibm.commerce.applepay.order.commands.ApplePayOrderPrepareCmd";
	/**
	 * The default implementation class.
	 */
	public static String defaultCommandClassName = "com.ibm.commerce.applepay.order.commands.ApplePayOrderPrepareCmdImpl";
	
	/**
	 * Set order id.
	 * @param orderId
	 */
	public void setOrderId (String orderId);
	
	/**
	 * Get order id.
	 * @return
	 */
	public String getOrderId();
	
	/**
	 * Set payment method id.
	 * @param payMethodId
	 */
	public void setPayMethodId(String payMethodId);
	
	/**
	 * Get payment method id.
	 * @return
	 */
	public String getPayMethodId();
	
	/**
	 * Set billing address id.
	 * @param billAddressId
	 */
	public void setBillAddressId(String billAddressId);
	
	/**
	 * Get billing address id.
	 * @return
	 */
	public String getBillAddressId();
	
	/**
	 * Set the flag of add unbound PI or not.
	 * @param ifAddUnboundPI
	 */
	public void setAddUnboundPI(boolean ifAddUnboundPI);
	
	/**
	 * Get the flag of add unbound PI or not.
	 * @return
	 */
	public boolean getAddUnboundPI();
	
	/**
	 * Set the customization hash map.
	 * @param iHshCustomProperties
	 */
	public void setCustomHashMap(HashMap iHshCustomProperties);
	
	/**
	 * Get the customization hash map.
	 * @return
	 */
	public HashMap getCustomHashMap();
	
	
}
