package com.ibm.commerce.applepay.order.commands;

/*
 *-----------------------------------------------------------------
 * IBM Confidential
 *
 * OCO Source Materials
 *
 * WebSphere Commerce
 *
 * (C) Copyright IBM Corp. 2016
 *
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 *-----------------------------------------------------------------
 */


import com.ibm.commerce.command.ControllerCommand;

/**
 * This command processes an apple pay cart.
 * The default implementation of this command is {@link ApplePayOrderProcessCmdImpl}.
 * The <code>ApplePayOrderProcessCmd</code> URL is mapped to this controller command. 
 */
public interface ApplePayOrderProcessCmd extends
		ControllerCommand {

	/**
	 * IBM copyright notice field.
	 */
	public static final String COPYRIGHT = com.ibm.commerce.copyright.IBMCopyright.SHORT_COPYRIGHT;
	/**
	 * The name of the Command Interface class.
	 */
	public final static String NAME = "com.ibm.commerce.applepay.order.commands.ApplePayOrderProcessCmd";
	/**
	 * The default implementation class.
	 */
	public static String defaultCommandClassName = "com.ibm.commerce.applepay.order.commands.ApplePayOrderProcessCmdImpl";
	
	/**
	 * Set order id.
	 * @param orderId
	 */
	public void setOrderId (String orderId);
	
	/**
	 * Get order id.
	 * @return
	 */
	public String getOrderId();
	
	/**
	 * Set unbound PI id.
	 * @param piId
	 */
	public void setUnboundPIId (String piId);
	
	/**
	 * Get unbound PI id.
	 * @return
	 */
	public String getUnboundPIId();
}
