package com.ibm.commerce.applepay.order.commands;

/*
 *-----------------------------------------------------------------
 * IBM Confidential
 *
 * OCO Source Materials
 *
 * WebSphere Commerce
 *
 * (C) Copyright IBM Corp. 2016
 *
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 *-----------------------------------------------------------------
 */

import com.ibm.commerce.command.ControllerCommand;


/**
 * This command processes the logic to update the apple pay order, eg: payment data, shipping contact and shipping method.
 * The default implementation of this command is {@link ApplePayOrderUpdateCmdImpl}.
 * The <code>ApplePayOrderUpdateCmd</code> URL is mapped to this controller command. 
 */

public interface ApplePayOrderUpdateCmd extends ControllerCommand {

	/**
	 * IBM copyright notice field.
	 */
	public static final String COPYRIGHT = com.ibm.commerce.copyright.IBMCopyright.SHORT_COPYRIGHT;
	/**
	 * The name of the Command Interface class.
	 */
	public final static String NAME = "com.ibm.commerce.applepay.order.commands.ApplePayOrderUpdateCmd";
	/**
	 * The default implementation class.
	 */
	public static String defaultCommandClassName = "com.ibm.commerce.applepay.order.commands.ApplePayOrderUpdateCmdImpl";
	
	/**
	 * Set order id.
	 * @param orderId
	 */
	public void setOrderId (String orderId);
	
	/**
	 * Get order id.
	 * @return
	 */
	public String getOrderId();
	
	/**
	 * Set ship mode id.
	 * @param ishipmodeId
	 */
	public void setShipModeId(String ishipmodeId);
	
	/**
	 * Get ship mode id.
	 * @return
	 */
	public String getShipModeId();
	
}
